# Class EnumControl.Type

java.lang.Object
javax.sound.sampled.Control.Type
javax.sound.sampled.EnumControl.Type

Enclosing class:
  `EnumControl`

public static class EnumControl.Type extends Control.Type
An instance of the `EnumControl.Type` inner class identifies one kind of enumerated control. Static instances are provided for the common types.

Since:
  1.3
See Also:
  - `EnumControl`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final EnumControl.Type`
  `REVERB`
  Represents a control over a set of possible reverberation settings.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Type(String name)`
  Constructs a new enumerated control type.

- ## Method Summary

  ### Methods declared in class Control.Type

  `equals, hashCode, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### REVERB

    public static final EnumControl.Type REVERB
    Represents a control over a set of possible reverberation settings. Each reverberation setting is described by an instance of the `ReverbType` class. (To access these settings, invoke `EnumControl.getValues()` on an enumerated control of type `REVERB`.)

- ## Constructor Details

  - ### Type

    protected Type(String name)
    Constructs a new enumerated control type.
    Parameters:
      `name` - the name of the new enumerated control type